import { MastraEmbedder } from './chunk-AD6IIOCI.js';
import { __name, __publicField } from './chunk-AJJZUHB4.js';
import { createAmazonBedrock } from '@ai-sdk/amazon-bedrock';
import { embed as embed$1, embedMany as embedMany$1 } from 'ai';

async function embed(value, { region = process.env.AWS_REGION || "us-east-1", accessKeyId = process.env.AWS_ACCESS_KEY_ID || "", secretAccessKey = process.env.AWS_SECRET_ACCESS_KEY || "", sessionToken = process.env.AWS_SESSION_TOKEN || "", model = "amazon.titan-embed-text-v1", maxRetries = 3 }) {
  const bedrock = createAmazonBedrock({
    region,
    accessKeyId,
    secretAccessKey,
    sessionToken
  });
  const eModel = bedrock.embedding(model);
  return await embed$1({
    model: eModel,
    value,
    maxRetries
  });
}
__name(embed, "embed");
async function embedMany(values, { region = process.env.AWS_REGION || "us-east-1", accessKeyId = process.env.AWS_ACCESS_KEY_ID || "", secretAccessKey = process.env.AWS_SECRET_ACCESS_KEY || "", sessionToken = process.env.AWS_SESSION_TOKEN || "", model = "amazon.titan-embed-text-v1", maxRetries = 3 }) {
  const bedrock = createAmazonBedrock({
    region,
    accessKeyId,
    secretAccessKey,
    sessionToken
  });
  const eModel = bedrock.embedding(model);
  return await embedMany$1({
    model: eModel,
    values,
    maxRetries
  });
}
__name(embedMany, "embedMany");
var _BedrockEmbedder = class _BedrockEmbedder extends MastraEmbedder {
  constructor({ region = process.env.AWS_REGION || "us-east-1", accessKeyId = process.env.AWS_ACCESS_KEY_ID || "", secretAccessKey = process.env.AWS_SECRET_ACCESS_KEY || "", sessionToken = process.env.AWS_SESSION_TOKEN || "", model = "amazon.titan-embed-text-v1" } = {}) {
    super();
    __publicField(this, "region");
    __publicField(this, "accessKeyId");
    __publicField(this, "secretAccessKey");
    __publicField(this, "sessionToken");
    __publicField(this, "model");
    this.region = region;
    this.accessKeyId = accessKeyId;
    this.secretAccessKey = secretAccessKey;
    this.sessionToken = sessionToken;
    this.model = model;
  }
  async embed(value, { maxRetries } = {
    maxRetries: 3
  }) {
    return embed(value, {
      region: this.region,
      accessKeyId: this.accessKeyId,
      secretAccessKey: this.secretAccessKey,
      sessionToken: this.sessionToken,
      model: this.model,
      maxRetries
    });
  }
  async embedMany(values, { maxRetries } = {
    maxRetries: 3
  }) {
    return embedMany(values, {
      region: this.region,
      accessKeyId: this.accessKeyId,
      secretAccessKey: this.secretAccessKey,
      sessionToken: this.sessionToken,
      model: this.model,
      maxRetries
    });
  }
};
__name(_BedrockEmbedder, "BedrockEmbedder");
var BedrockEmbedder = _BedrockEmbedder;

export { BedrockEmbedder, embed, embedMany };
