import { MastraEmbedder } from './chunk-AD6IIOCI.js';
import { __name, __publicField } from './chunk-AJJZUHB4.js';
import { createGoogleGenerativeAI } from '@ai-sdk/google';
import { embed as embed$1, embedMany as embedMany$1 } from 'ai';

async function embed(value, { apiKey = process.env.GOOGLE_API_KEY || "", model = "textembedding-gecko", baseURL, maxRetries = 3 }) {
  const google = createGoogleGenerativeAI({
    baseURL,
    apiKey
  });
  const eModel = google.textEmbeddingModel(model);
  return await embed$1({
    model: eModel,
    value,
    maxRetries
  });
}
__name(embed, "embed");
async function embedMany(values, { apiKey = process.env.GOOGLE_API_KEY || "", model = "textembedding-gecko", baseURL, maxRetries = 3 }) {
  const google = createGoogleGenerativeAI({
    baseURL,
    apiKey
  });
  const eModel = google.textEmbeddingModel(model);
  return await embedMany$1({
    model: eModel,
    values,
    maxRetries
  });
}
__name(embedMany, "embedMany");
var _GoogleEmbedder = class _GoogleEmbedder extends MastraEmbedder {
  constructor({ apiKey = process.env.GOOGLE_API_KEY || "", model = "textembedding-gecko", baseURL }) {
    super();
    __publicField(this, "apiKey");
    __publicField(this, "model");
    __publicField(this, "baseURL");
    this.apiKey = apiKey;
    this.model = model;
    this.baseURL = baseURL;
  }
  async embed(value, { maxRetries } = {
    maxRetries: 3
  }) {
    return embed(value, {
      apiKey: this.apiKey,
      model: this.model,
      baseURL: this.baseURL,
      maxRetries
    });
  }
  async embedMany(values, { maxRetries } = {
    maxRetries: 3
  }) {
    return embedMany(values, {
      apiKey: this.apiKey,
      model: this.model,
      baseURL: this.baseURL,
      maxRetries
    });
  }
};
__name(_GoogleEmbedder, "GoogleEmbedder");
var GoogleEmbedder = _GoogleEmbedder;

export { GoogleEmbedder, embed, embedMany };
