import { MastraEmbedder } from './chunk-AD6IIOCI.js';
import { __name, __publicField } from './chunk-AJJZUHB4.js';
import { embed as embed$1, embedMany as embedMany$1 } from 'ai';
import { createVoyage } from 'voyage-ai-provider';

async function embed(value, { apiKey = process.env.VOYAGE_API_KEY || "", model = "voyage-01", baseURL, maxRetries = 3 }) {
  const voyage = createVoyage({
    baseURL,
    apiKey
  });
  const eModel = voyage.textEmbeddingModel(model);
  return await embed$1({
    model: eModel,
    value,
    maxRetries
  });
}
__name(embed, "embed");
async function embedMany(values, { apiKey = process.env.VOYAGE_API_KEY || "", model = "voyage-01", baseURL, maxRetries = 3 }) {
  const voyage = createVoyage({
    baseURL,
    apiKey
  });
  const eModel = voyage.textEmbeddingModel(model);
  return await embedMany$1({
    model: eModel,
    values,
    maxRetries
  });
}
__name(embedMany, "embedMany");
var _VoyageEmbedder = class _VoyageEmbedder extends MastraEmbedder {
  constructor({ apiKey = process.env.VOYAGE_API_KEY || "", model = "voyage-01", baseURL }) {
    super();
    __publicField(this, "apiKey");
    __publicField(this, "model");
    __publicField(this, "baseURL");
    this.apiKey = apiKey;
    this.model = model;
    this.baseURL = baseURL;
  }
  async embed(value, { maxRetries } = {
    maxRetries: 3
  }) {
    return embed(value, {
      apiKey: this.apiKey,
      model: this.model,
      baseURL: this.baseURL,
      maxRetries
    });
  }
  async embedMany(values, { maxRetries } = {
    maxRetries: 3
  }) {
    return embedMany(values, {
      apiKey: this.apiKey,
      model: this.model,
      baseURL: this.baseURL,
      maxRetries
    });
  }
};
__name(_VoyageEmbedder, "VoyageEmbedder");
var VoyageEmbedder = _VoyageEmbedder;

export { VoyageEmbedder, embed, embedMany };
