import { MastraEmbedder } from './chunk-AD6IIOCI.js';
import { __name, __publicField } from './chunk-AJJZUHB4.js';
import { createCohere } from '@ai-sdk/cohere';
import { embed as embed$1, embedMany as embedMany$1 } from 'ai';

async function embed(value, { apiKey = process.env.COHERE_API_KEY || "", model = "embed-english-v3.0", baseURL, maxRetries = 3 }) {
  const cohere = createCohere({
    baseURL,
    apiKey
  });
  const eModel = cohere.textEmbeddingModel(model);
  return await embed$1({
    model: eModel,
    value,
    maxRetries
  });
}
__name(embed, "embed");
async function embedMany(values, { apiKey = process.env.COHERE_API_KEY || "", model = "embed-english-v3.0", baseURL, maxRetries = 3 }) {
  const cohere = createCohere({
    baseURL,
    apiKey
  });
  const eModel = cohere.textEmbeddingModel(model);
  return await embedMany$1({
    model: eModel,
    values,
    maxRetries
  });
}
__name(embedMany, "embedMany");
var _CohereEmbedder = class _CohereEmbedder extends MastraEmbedder {
  constructor({ apiKey = process.env.COHERE_API_KEY || "", model = "embed-english-v3.0", baseURL }) {
    super();
    __publicField(this, "apiKey");
    __publicField(this, "model");
    __publicField(this, "baseURL");
    this.apiKey = apiKey;
    this.model = model;
    this.baseURL = baseURL;
  }
  async embed(value, { maxRetries } = {
    maxRetries: 3
  }) {
    return embed(value, {
      apiKey: this.apiKey,
      model: this.model,
      baseURL: this.baseURL,
      maxRetries
    });
  }
  async embedMany(values, { maxRetries } = {
    maxRetries: 3
  }) {
    return embedMany(values, {
      apiKey: this.apiKey,
      model: this.model,
      baseURL: this.baseURL,
      maxRetries
    });
  }
};
__name(_CohereEmbedder, "CohereEmbedder");
var CohereEmbedder = _CohereEmbedder;

export { CohereEmbedder, embed, embedMany };
