import { EmbedResult, EmbedManyResult } from 'ai';
import { MastraEmbedder } from './embedder.js';

type MistralEmbeddingModelNames = 'mistral-embed' | (string & {});
declare function embed(value: string, { apiKey, model, baseURL, maxRetries, }: {
    maxRetries?: number;
    apiKey?: string;
    model: MistralEmbeddingModelNames;
    baseURL?: string;
}): Promise<EmbedResult<string>>;
declare function embedMany(values: string[], { apiKey, model, baseURL, maxRetries, }: {
    maxRetries?: number;
    apiKey?: string;
    model: MistralEmbeddingModelNames;
    baseURL?: string;
}): Promise<EmbedManyResult<string>>;
declare class MistralEmbedder extends MastraEmbedder {
    apiKey: string;
    model: MistralEmbeddingModelNames;
    baseURL: string | undefined;
    constructor({ apiKey, model, baseURL, }: {
        apiKey?: string;
        model: MistralEmbeddingModelNames;
        baseURL?: string;
    });
    embed(value: string, { maxRetries }?: {
        maxRetries?: number;
    }): Promise<EmbedResult<string>>;
    embedMany(values: string[], { maxRetries }?: {
        maxRetries?: number;
    }): Promise<EmbedManyResult<string>>;
}

export { MistralEmbedder, type MistralEmbeddingModelNames, embed, embedMany };
