import { EmbedResult, EmbedManyResult } from 'ai';
import { MastraEmbedder } from './embedder.js';

declare function embed(value: string, { maxRetries, }?: {
    maxRetries?: number;
}): Promise<EmbedResult<string>>;
declare function embedMany(values: string[], { maxRetries, }?: {
    maxRetries?: number;
}): Promise<EmbedManyResult<string>>;
declare class MockEmbedder extends MastraEmbedder {
    constructor();
    embed(value: string, { maxRetries }?: {
        maxRetries?: number;
    }): Promise<EmbedResult<string>>;
    embedMany(values: string[], { maxRetries }?: {
        maxRetries?: number;
    }): Promise<EmbedManyResult<string>>;
}

export { MockEmbedder, embed, embedMany };
