import { EmbedResult, EmbedManyResult } from 'ai';
import { MastraEmbedder } from './embedder.js';

type VoyageEmbeddingModelNames = 'voyage-01' | (string & {});
declare function embed(value: string, { apiKey, model, baseURL, maxRetries, }: {
    maxRetries?: number;
    apiKey?: string;
    model: VoyageEmbeddingModelNames;
    baseURL?: string;
}): Promise<EmbedResult<string>>;
declare function embedMany(values: string[], { apiKey, model, baseURL, maxRetries, }: {
    maxRetries?: number;
    apiKey?: string;
    model: VoyageEmbeddingModelNames;
    baseURL?: string;
}): Promise<EmbedManyResult<string>>;
declare class VoyageEmbedder extends MastraEmbedder {
    apiKey: string;
    model: VoyageEmbeddingModelNames;
    baseURL: string | undefined;
    constructor({ apiKey, model, baseURL, }: {
        apiKey?: string;
        model: VoyageEmbeddingModelNames;
        baseURL?: string;
    });
    embed(value: string, { maxRetries }?: {
        maxRetries?: number;
    }): Promise<EmbedResult<string>>;
    embedMany(values: string[], { maxRetries }?: {
        maxRetries?: number;
    }): Promise<EmbedManyResult<string>>;
}

export { VoyageEmbedder, type VoyageEmbeddingModelNames, embed, embedMany };
