import { OpenAIChatSettings } from '@ai-sdk/openai/internal';
import { MastraLLM } from '../index.js';
import '../../../index-B48181D5.js';
import 'ai';
import 'json-schema';
import 'zod';
import '../../../base.js';
import '@opentelemetry/api';
import '../../../index-CBZ2mk2H.js';
import 'pino';
import 'stream';
import '../../../telemetry-oCUM52DG.js';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';
import '../../../metric-D2V4CR8D.js';
import 'sift';
import '../../../embeddings/model/providers/embedder.js';
import '../../../vector/index.js';
import '../../../types-M16hSruO.js';
import '../../../tts/index.js';

type AzureModel = 'gpt-35-turbo-instruct' | (string & {});
declare class Azure extends MastraLLM {
    constructor({ name, resourceName, apiKey, apiVersion, baseURL, headers, fetch, settings, }: {
        name?: AzureModel;
        resourceName?: string;
        apiKey?: string;
        apiVersion?: string;
        baseURL?: string;
        headers?: Record<string, string>;
        fetch?: typeof globalThis.fetch;
        settings?: OpenAIChatSettings;
    });
}
declare class AzureReasoning extends MastraLLM {
    constructor({ name, resourceName, apiKey, apiVersion, baseURL, headers, fetch, settings, }: {
        name?: AzureModel;
        resourceName?: string;
        apiKey?: string;
        apiVersion?: string;
        baseURL?: string;
        headers?: Record<string, string>;
        fetch?: typeof globalThis.fetch;
        settings?: OpenAIChatSettings;
    });
}

export { Azure, type AzureModel, AzureReasoning };
