import { MastraLLM } from '../index.js';
import '../../../index-B48181D5.js';
import 'ai';
import 'json-schema';
import 'zod';
import '../../../base.js';
import '@opentelemetry/api';
import '../../../index-CBZ2mk2H.js';
import 'pino';
import 'stream';
import '../../../telemetry-oCUM52DG.js';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';
import '../../../metric-D2V4CR8D.js';
import 'sift';
import '../../../embeddings/model/providers/embedder.js';
import '../../../vector/index.js';
import '../../../types-M16hSruO.js';
import '../../../tts/index.js';

interface GoogleVertexSettings {
    /**
      Optional. The maximum number of tokens to consider when sampling.
      
      Models use nucleus sampling or combined Top-k and nucleus sampling.
      Top-k sampling considers the set of topK most probable tokens.
      Models running with nucleus sampling don't allow topK setting.
         */
    topK?: number;
    /**
      Optional. A list of unique safety settings for blocking unsafe content.
         */
    safetySettings?: Array<{
        category: 'HARM_CATEGORY_UNSPECIFIED' | 'HARM_CATEGORY_HATE_SPEECH' | 'HARM_CATEGORY_DANGEROUS_CONTENT' | 'HARM_CATEGORY_HARASSMENT' | 'HARM_CATEGORY_SEXUALLY_EXPLICIT';
        threshold: 'HARM_BLOCK_THRESHOLD_UNSPECIFIED' | 'BLOCK_LOW_AND_ABOVE' | 'BLOCK_MEDIUM_AND_ABOVE' | 'BLOCK_ONLY_HIGH' | 'BLOCK_NONE';
    }>;
}
type GoogleVertexModel = 'gemini-2.0-flash-exp' | 'gemini-1.5-flash' | 'gemini-1.5-pro';
declare class GoogleVertex extends MastraLLM {
    constructor({ name, project, location, settings, }?: {
        name?: GoogleVertexModel;
        project?: string;
        location?: string;
        settings?: GoogleVertexSettings;
    });
}

export { GoogleVertex, type GoogleVertexModel, type GoogleVertexSettings };
