import { MastraLLM } from '../../../chunk-QX2CHXA7.js';
import '../../../chunk-KNPBNSJ7.js';
import '../../../chunk-G4MCO7XF.js';
import '../../../chunk-ICMEXHKD.js';
import { __name } from '../../../chunk-AJJZUHB4.js';
import { createGoogleGenerativeAI } from '@ai-sdk/google';

var _Gemini = class _Gemini extends MastraLLM {
  constructor({ name = "gemini-1.5-pro-latest", apiKey = process.env.GOOGLE_GENERATIVE_AI_API_KEY || "", settings } = {}) {
    const google = createGoogleGenerativeAI({
      baseURL: "https://generativelanguage.googleapis.com/v1beta",
      apiKey
    });
    const gemini = google(name, settings);
    super({
      model: gemini
    });
  }
};
__name(_Gemini, "Gemini");
var Gemini = _Gemini;

export { Gemini };
