import * as ai from 'ai';
import { OpenAIChatSettings } from '@ai-sdk/openai/internal';
import { MastraLLM } from '../index.js';
import '../../../index-B48181D5.js';
import 'json-schema';
import 'zod';
import '../../../base.js';
import '@opentelemetry/api';
import '../../../index-CBZ2mk2H.js';
import 'pino';
import 'stream';
import '../../../telemetry-oCUM52DG.js';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';
import '../../../metric-D2V4CR8D.js';
import 'sift';
import '../../../embeddings/model/providers/embedder.js';
import '../../../vector/index.js';
import '../../../types-M16hSruO.js';
import '../../../tts/index.js';

declare function openaiCompat({ baseURL, apiKey, modelName, fetch, settings, }: {
    baseURL?: string;
    apiKey?: string;
    modelName: string;
    fetch?: typeof globalThis.fetch;
    settings?: OpenAIChatSettings;
}): ai.LanguageModelV1;
declare class OpenaiCompat extends MastraLLM {
    constructor({ name, apiKey, baseURL, fetch, settings, }: {
        name: string;
        apiKey?: string;
        baseURL?: string;
        fetch?: typeof globalThis.fetch;
        settings?: OpenAIChatSettings;
    });
}

export { OpenaiCompat, openaiCompat };
